Subject: Re: running mks toolkit and cygwin on same machine
From: Charles Wilson <[email-masked]>
To: [email-masked]
Date: Wed, 10 Jul 2002 10:48:08 -0400
Newsgroups: gmane.os.cygwin

Christopher Faylor wrote:

> On Wed, Jul 10, 2002 at 02:48:52PM +1000, Robert Collins wrote:
> 
>>Why not just roll-your own 'rev'?
>>
>>Included is a trivial 'rev.cc' that will handle any size argument list that
>>cygwin is able to pass it. It should include <algorithm> to support gcc 3.1,
>>but for some reason it couldn't process templates when I included that.
>>Sigh.
>>
>>Compile with
>>g++ -o rev.exe rev.cc
>>
> 
> Sounds like a candidate for cygutils...

Yes, it's been on my todo list for some time.  Here are the util-linux 
progs that I believe still need to be added to cygutils:

colcrt  - filter nroff output for CRT previewing
colrm   - remove columns from a file
column  - columnate lists
rev     - reverses the characters on each line of each file
mcookie - generates magic cookies for Xauth

I have the util-linux code for each of this, plus man pages.  I just 
need to munge them up so they build within cygutils...time, time, time...

--Chuck

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/